<?php

class bio
{
	function get_bio($id_consult)
	{
		$q = "SELECT * FROM bio WHERE id_consult = '" . $id_consult . "'";
		$r = mysql_query($q);
	
		if ($r)
		{
			$n = mysql_fetch_assoc($r);
			return $n;
		}
		else
			die("Erreur mécanique " . mysql_errno() . " : " . mysql_error());
	
		return false;
	}
	
	function edit_bio($id_consult, $bio_spe, $bio_posol, $bio_duree, $bio_date, $bio_vgm, $bio_ggt, $bio_asat, $bio_alat, $bio_cdt, $bio_alcoo, $bio_autre)
	{
		if ($id_consult)
			$this->del_bio($id_consult);

		$q = "INSERT INTO bio (id_consult, bio_spe, bio_posol, bio_duree, bio_date, bio_vgm, bio_ggt, bio_asat, bio_alat, bio_cdt, bio_alcoo, bio_autre) VALUES ('" . $id_consult . "', '" . sqldata($bio_spe) . "', '" . sqldata($bio_posol) . "', '" . sqldata($bio_duree) . "', '" . $bio_date . "', '" . $bio_vgm . "', '" . $bio_ggt . "', '" . $bio_asat . "', '" . $bio_alat . "', '" . $bio_cdt . "', '" . $bio_alcoo . "', '" . sqldata($bio_autre) . "')";
		$r = mysql_query($q);
	
		if ($r) 
			return true;
		else
			die("Erreur mécanique " . mysql_errno() . " : " . mysql_error());
	
		return false;
	}

	function del_bio($id_consult)
	{
		$q = "DELETE FROM bio WHERE id_consult = '" . $id_consult . "'";
		$r = mysql_query($q);

		if ($r)
		{
			$q = "OPTIMIZE TABLE bio";
			$r = mysql_query($q);

			return true;
		}
		else
			die("Erreur mécanique " . mysql_errno() . " : " . mysql_error());

		return false;
	}
}

?>